cereal::detail::StaticObject< T > Class Template Reference

A static, pre-execution object. More...

`#include </build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/details/static_object.hpp>`

## Static Public Member Functions

static T & | getInstance ()

## Detailed Description

### template<class T>
class cereal::detail::StaticObject< T >

A static, pre-execution object.

This class will create a single copy (singleton) of some type and ensures that merely referencing this type will cause it to be instantiated and initialized pre-execution. For example, this is used heavily in the polymorphic pointer serialization mechanisms to bind various archive types with different polymorphic classes

The documentation for this class was generated from the following file:

- /build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/details/static_object.hpp